<?php

namespace Drupal\tone;

use Drupal\Component\Plugin\PluginBase;

/**
 * Base class for tone_renderer plugins.
 */
abstract class RendererPluginBase extends PluginBase implements RendererInterface {

  /**
   * {@inheritdoc}
   */
  public function label(): string {
    // Cast the label to a string since it is a TranslatableMarkup object.
    return (string) $this->pluginDefinition['label'];
  }

  /**
   * {@inheritdoc}
   */
  public function getDescription(): string {
    // Cast the description to a string since it is a TranslatableMarkup object.
    return (string) $this->pluginDefinition['description'];
  }

}
